package com.bonus.sharedstation.app.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.bonus.sharedstation.common.pojo.PageDTO;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 便民维修服务信息表(RepairServiceOrder)实体类
 *
 * @author makejava
 * @since 2024-12-17 10:41:17
 */
@Data
@TableName("yz_repair_service_order")
public class RepairServiceOrderDTO extends PageDTO implements Serializable {
    private static final long serialVersionUID = 263048937436524501L;

    private Integer id;
    /**
     * 服务名称
     */
    private String serviceName;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 服务 id
     */
    private Integer serviceId;
    /**
     * 用户 id
     */
    private String userId;
    /**
     * 用户名
     */
    private String name;
    /**
     * 状态 0 未完成 1 已完成
     */
    private String status;
    /**
     * 下单时间
     */
    private Date orderTime;
    /**
     * 消费金额
     */
    private Double usePrice;
    /**
     * 单价
     */
    private Double price;
    /**
     * 单位名称
     */
    private String unit;
    /**
     * 服务描述或备注
     */
    private String description;
    /**
     * 创建人
     */
    private String createdBy;
    /**
     * 创建时间
     */
    private Date createdTime;
    /**
     * 修改时间
     */
    private Date updatedTime;
    /**
     * 修改人
     */
    private String updatedBy;
    /**
     * 逻辑删除标识，1表示已删除，0表示未删除
     */
    private String isDeleted;

    private Integer tenantId;


    /**
     * 结束时间
     */
    private String stopTime;

    /**
     * 开始时间
     */
    private String runTime;


    /**
     * 自定义开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date beginTime;
    /**
     * 自定义结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    /**
     * 时间 type  0 自定义,1 是 月份 2 是季度 3 是年
     * @return
     */
    private String timeType;

    /**
     * 年
     */
    private Integer year;
    /**
     * 季度 1,2,3,4
     */
    private Integer quarter;

    /**
     * 月份
     */
    private String yearMonth;




    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getServiceId() {
        return serviceId;
    }

    public void setServiceId(Integer serviceId) {
        this.serviceId = serviceId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public Double getUsePrice() {
        return usePrice;
    }

    public void setUsePrice(Double usePrice) {
        this.usePrice = usePrice;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

}

